Author Topic: Coolreader 3.1.2  (Read 3153 times)

Mike Kölling

  • Newbie
  • *
  • Thank You
  • -Given: 0
  • -Receive: 2
  • Posts: 42
    • View Profile
Coolreader 3.1.2
« on: January 10, 2016, 08:18:41 pm »
Hi,
Does somebody get the new Coolreader version 3.1.2 running?
Missing DLL "fntcnf1.dll" alraedy found with this link "http://rpm.netlabs.org/experimental/00/zip/fontconfig-2_11_94-1_oc00.zip". But it still refuses to start. It was not noted in the "install.os2" that this dll is needed. However without it I got a failure notice if missing FNTCNF1.
All packages listed in install.os2 via RPM/YUM installed and are actual according to ANPM.
What else might be missing to get it running?

Greetings from Potsdam/Germany,
Mike

Sergey Posokhov

  • Full Member
  • ***
  • Thank You
  • -Given: 1
  • -Receive: 6
  • Posts: 118
    • View Profile
    • OS/2 API Research
Re: Coolreader 3.1.2
« Reply #1 on: January 10, 2016, 09:15:52 pm »
Version 3.0.57 works well:
ftp://ftp.netlabs.org/pub/qtapps/cr3.zip

New version requires Expat XML parser.

I had to place "fntcnf1.dll" into the same directory, from http://rpm.netlabs.org/release/00/zip/fontconfig-2_11_94-1_oc00.zip
then added "png1616.dll" from http://hobbes.nmsu.edu/download/pub/os2/dev/mm/libpng-1.6.18.zip
then "jpeg.dll from http://hobbes.nmsu.edu/download/pub/os2/dev/mm/jpeglib-9a.zip
then "intl8.dll" from http://hobbes.nmsu.edu/download/pub/os2/dev/misc/gettext-0.19.6.zip
then "iconv2.dll" from http://hobbes.nmsu.edu/download/pub/os2/dev/misc/libiconv-1.14.zip
but there are no "expat7.dll" around.

"Expat" is a lightweight XML parser written in plain C.
« Last Edit: September 16, 2019, 06:41:43 pm by Sergey Posokhov »

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 11
  • -Receive: 149
  • Posts: 2115
    • View Profile
Re: Coolreader 3.1.2
« Reply #2 on: January 10, 2016, 09:41:02 pm »

Mike Kölling

  • Newbie
  • *
  • Thank You
  • -Given: 0
  • -Receive: 2
  • Posts: 42
    • View Profile
Re: Coolreader 3.1.2
« Reply #3 on: January 10, 2016, 09:42:44 pm »
Old version was running for me as well. I just tried the latest version, but no success.
Greetings from Potsdam/Germany
Mike

guzzi

  • Sr. Member
  • ****
  • Thank You
  • -Given: 0
  • -Receive: 18
  • Posts: 302
    • View Profile
Re: Coolreader 3.1.2
« Reply #4 on: January 10, 2016, 10:39:46 pm »
The new fontconfig needed for the upcoming Firefox port broke CR3:
http://trac.netlabs.org/ports/ticket/86

For the newly compiled version you need fontconfig-legacy 2.11.94.1 and possibly fontconfig 2.11.94.1
Use Yum  or AN package manager to update/install them.

Joop

  • Sr. Member
  • ****
  • Thank You
  • -Given: 0
  • -Receive: 44
  • Posts: 482
    • View Profile
Re: Coolreader 3.1.2
« Reply #5 on: January 11, 2016, 12:06:12 am »
Version 3.0.57 works well:
ftp://cyberia.dnsalias.com/pub/filebase/gfd/app/misc/cr3.zip
No, this version doesn't work on my system. As usual, no manual. As usual, too short information in the readme or in this case install.os2. According instructions in this file it should work, but it doesn't. All I get is that the program can not start and if I want to examine the path and so on. Path is okay, its put in by OS/2. Only thing could be memory, but how much does the program need?

Found the problem. The file kintl.dll was missing on my system. So I downloaded wget-1.14-1-os2.zip from Hobbes. Put the dll in the ecs\dll as it is not a part of OS/2. CR3 is starting now, but I don't have files, so I can't test if it works.
Again proof that the readme or whatever instruction is short of information. Sad...
« Last Edit: January 11, 2016, 12:27:08 am by Joop »

Silvan Scherrer

  • Full Member
  • ***
  • Thank You
  • -Given: 9
  • -Receive: 9
  • Posts: 168
    • View Profile
Re: Coolreader 3.1.2
« Reply #6 on: January 11, 2016, 10:09:12 am »
Just as a small side note. Everyone if free to rewrite a install.os2/readme.os2 and send it either via ticket or direct to the porter. We never said our versions are perfect. I personally take all rewrites into account and change them according to it. At least mostly, as I will never remove the yum/rpm requirements, but enhance the zip installations of course.

So instead of telling how bad something is, get active and send better versions.

regards
Silvan
kind regards
Silvan
CTO bww bitwise works GmbH

Please help us with donations, so we can further work on OS/2 based projects. Our Shop is at https://www.bitwiseworks.com/shop/index.php

ivan

  • Hero Member
  • *****
  • Thank You
  • -Given: 2
  • -Receive: 35
  • Posts: 994
    • View Profile
Re: Coolreader 3.1.2
« Reply #7 on: January 11, 2016, 11:17:58 am »
Hi Silvan,

I just want to thank you for porting CoolReader for us which works here for me with a little effort (it also takes a little effort to find the best version to run on my Android tablet).

Could I ask if you have time to have a look at Sigil the epub creator?  I know the latest version uses a later version of QT that we do not have but it used to use QT4 (I am using v0.2.0 that Paul ported years ago and miss some of later additions).

Silvan Scherrer

  • Full Member
  • ***
  • Thank You
  • -Given: 9
  • -Receive: 9
  • Posts: 168
    • View Profile
Re: Coolreader 3.1.2
« Reply #8 on: January 11, 2016, 12:50:51 pm »
Hi Silvan,

I just want to thank you for porting CoolReader for us which works here for me with a little effort (it also takes a little effort to find the best version to run on my Android tablet).

Could I ask if you have time to have a look at Sigil the epub creator?  I know the latest version uses a later version of QT that we do not have but it used to use QT4 (I am using v0.2.0 that Paul ported years ago and miss some of later additions).
Ivan,
please write me a PM or open a ticket in the QT Apps. As w/o one or the other I'm more than sure I will forget it.

regards
Silvan
kind regards
Silvan
CTO bww bitwise works GmbH

Please help us with donations, so we can further work on OS/2 based projects. Our Shop is at https://www.bitwiseworks.com/shop/index.php